/*
 * Copyright 1989 O'Reilly and Associates, Inc.
 * See README.ora for complete rights and liability information.
 */

#ifndef _XBGeneric_h
#define _XBGeneric_h

/***********************************************************************
 *
 * generic Widget (subclass of CompositeClass)
 *
 ***********************************************************************/

/* Parameters:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 background	     Background		Pixel		XtDefaultBackground
 border		     BorderColor	Pixel		XtDefaultForeground
 borderWidth	     BorderWidth	Dimension	1
 destroyCallback     Callback		Pointer		NULL
 height		     Height		Dimension	0
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 width		     Width		Dimension	0
 x		     Position		Position	0
 y		     Position		Position	0

*/


/* New fields */

/* Class record constants */

extern WidgetClass genericWidgetClass;

typedef struct _GenericClassRec *GenericWidgetClass;
typedef struct _GenericRec      *GenericWidget;

#endif /* _XBGeneric_h */
